import { r as registerInstance, h } from './core-095fd691.js';

const BceElementHeader = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("h4", null, this.template && this.template.text);
    }
    static get style() { return "bce-element-header{color:var(--bce-color-primary-n)}bce-element-header h4{margin-bottom:1rem;font-size:1.424em;font-weight:300}"; }
};

export { BceElementHeader as bce_element_header };
